<!-- Replace ::text:: with your code -->
<h2>Create / Edit Course</h2>
<form [formGroup]="courseForm">
  <div class="app-plate">
    <div class="course">
      <h3>Main Info</h3>
      <div class="form__control">
        <label for="title">Title</label>
        <!--Use the name `title` for the form control.-->
        <input type="text" 
                id="title" 
                formControlName="title"
                [class.input-error]="courseForm.get('title')?.invalid"
                placeholder="Input text"/>
        <span *ngIf="courseForm.get('title')?.errors?.['required'] && (courseForm.get('title')?.touched || courseForm.get('title')?.dirty)" class="text-danger">Title is required.</span>
        <span *ngIf="courseForm.get('title')?.errors?.['minLength']" class="text-danger">Title must be at least 2 characters long.</span>
      </div>
      <div class="form__control">
        <label for="description">Description</label>
        <!--Use the name `description` for the form control.-->
        <textarea
          id="description"
          name="description"
          placeholder="Input text"
          formControlName="description"
          [class.input-error]="courseForm.get('description')?.invalid"
          rows="4"
          cols="5"
        ></textarea> 
        <span *ngIf="courseForm.get('description')?.errors?.['required'] && (courseForm.get('description')?.touched || courseForm.get('description')?.dirty)" class="text-danger">Description is required.</span>
        <span *ngIf="courseForm.get('description')?.errors?.['minLength']" class="text-danger">Description must be at least 2 characters long.</span>
      </div>
      <div class="separator"></div>
      <h3>Authors</h3>
      <div class="form__control">
        <div class="course__flex">
          <!--Use the name `author` for the form control.-->
          <input type="text" 
          [formControl]="authorFormControl" 
          placeholder="Input Author Name"/>
          <app-button id="createAuthor" (click)="onAddNewAuthor(authorFormControl.value); authorFormControl.reset()" [button-text]="'Create author'"></app-button>
        </div>
        <ng-container *ngIf="newAuthorError">
          <span class="text-danger">
            {{ newAuthorError }}
          </span>
        </ng-container>
        <div class="course-lists">
          <div class="course__authors-available-list">
            <!--Use the name `authors` for the form array.-->
            <h3>Availabel authors</h3>
            <ul>
              <li *ngFor="let author of templateAuthors; let i = index" [value]="author"><span>{{ author.name }}</span> <button class="btn" (click)="onAddAuthor(author)" ><i class="fa-solid fa-plus"></i></button> <button class="btn delete" (click)="onDeleteAuthor(author)" ><i class="fa-solid fa-trash"></i></button></li>
            </ul>
  
          </div>
          <div class="course__authors-selected-list">
            <h3>Authors of the course</h3>
            <ul>
              <li *ngFor="let authorControl of assignedAuthorsToCourse; let i = index">
                  <span >{{ authorControl.name }}</span>
                  <button class="btn" (click)="onRemoveAuthor(i)">
                      <i class="fa-solid fa-xmark"></i>
                  </button>
              </li>
          </ul>
          </div>
        </div>
      </div>
      <div class="separator"></div>
      <h3>Duration</h3>
      <div class="form__control">
        <div class="course__flex">
          <!--Use the name `duration` for the form array.-->
          <input type="number" 
                  id="duration" 
                  min="0"
                  formControlName="duration"
                  [class.input-error]="courseForm.get('duration')?.invalid"
                  placeholder="Input duration"/>
          <div class="course__duration">
            {{ courseForm.get('duration')?.value | duration }}.
          </div>
        </div>
        <span *ngIf="courseForm.get('duration')?.errors?.['required'] && (courseForm.get('duration')?.touched || courseForm.get('duration')?.dirty)" class="text-danger">Duration is required.</span>
      </div>
      <div class="form__action">
        <app-button (click)="onSubmit()" [button-text]="'submit'"></app-button>
      </div>
    </div>
  </div>
</form>
